---
title: About
description: Software Engineer specializing in modern web development, TDD, and DevOps
date: '2024-05-27'
aliases:
  - about-me
  - about-developer
  - contact
license: CC BY-NC-ND
lastmod: '2024-05-27'
menu:
    main: 
        weight: -90
        params:
            icon: user
---

With 4 years of experience in software development, I specialize in creating robust and scalable web applications using a variety of technologies. My expertise spans Java Spring, Spring Boot, JavaScript, TypeScript, React, Angular, Next.js, and occasional DevOps, Python (Flask, FastAPI), Rust, and Go. Additionally, I incorporate Test-Driven Development (TDD) practices to ensure high-quality, maintainable code. My diverse skill set allows me to tackle complex projects and deliver high-quality software solutions.

My technical toolkit includes:

* **Java Spring & Spring Boot**: Building enterprise-level applications with robust back-end capabilities.
* **JavaScript & TypeScript**: Crafting dynamic and maintainable front-end applications.
* **React, Angular & Next.js**: Developing modern, responsive user interfaces.
* **DevOps**: Ensuring smooth deployment pipelines and infrastructure management.
* **Python (Flask, FastAPI)**: Rapid development of efficient web services.
* **Rust & Go**: Writing performance-critical applications with modern systems programming languages.
* **TDD (Test-Driven Development)**: Writing tests before code to ensure reliability and maintainability.

I leverage these technologies to create applications that are secure, performant, and maintainable. My experience also includes working with various open source projects and tools that enhance my development workflow.

I am passionate about continuous learning and staying updated with the latest industry trends, which allows me to integrate cutting-edge technologies into my projects. Whether it's a single-page application, a corporate website, or a complex back-end system, I am committed to delivering exceptional results.

You can learn more about my projects and contributions on [GitHub](https://github.com/Ardouz11).